Subject: Re: Cygwin, mutt, Windows XP issues
From: Peter Davis <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 20 May 2003 14:50:55 -0400

On Tue, May 20, 2003 at 01:23:22PM -0400, Igor Pechtchanski wrote:
> On Tue, 20 May 2003, Peter Davis wrote:
> 
> > I'm using mutt 1.4i under Cygwin on Windows XP.  My apologies for
> > cross-posting, but I'm really not sure if the problems I'm having are
> > mutt issues or Cygwin issues.  (Probably XP issues, but there's not
> > much help for that.)
> >
> > I'm running XP on two different systems.  One (home) was formerly NT4,
> > and one (work) was formerly Win2000.  In upgrading to both of these
> > systems, some new problems with mutt were introduced.  Specifically:
> >
> > 1) Mutt no longer can tell which mailboxes contain new mail.  Once I
> >    open the mailbox, the new messages are correctly marked, but when
> >    I'm looking for a mailbox with unread messages, mutt doesn't detect
> >    any.  This used to work correctly under NT4, but *not* under
> >    Win2000.  It may have to do with changes in how Windows handles
> >    file protections, but I've tried to un-protect these files in every
> >    imaginable way, and still can't get this to work.
> >
> >    I've looked at the mutt code somewhat, and it appears that mutt is
> >    checking the timestamp on the .mh_sequences file to detect
> >    mailboxes with new messages, but actually reading the .mh_sequences
> >    file to mark the new messages.  So it seems as if mutt is able to
> >    read the file, but not to get the correct timestamp.  That seems
> >    very weird to me.
> 
> This one is most likely an XP protection issue.  IIRC, the timestamp is
> not stored in the file itself, but in a directory containing that file.
> Therefore, you'll need to allow the same read access to the directory
> containing the .mh_sequences file that you allow for the file itself.

Thanks, Igor.  I do suspect it's an XP protection thing, but I can't
figure out what.  I've set (through Windows) every possible permission
on every file and directory in the mail hierarchy.

> > 2) I have some Perl scripts I run from mutt.  One of them parses a
> >    piped in email message and records some information from the
> >    message header.  This works fine if I am viewing the message in
> >    mutt's pager, and pipe it to the script.  But if I tag some
> >    messages in mutt's index, and try to pipe them all (I do have
> >    pipe_split set to "yes"), I get "File not found" errors on the Perl
> >    script.  This used to work on both NT and Win2000.
> 
> Can you insert some debugging print statements into the Perl scripts
> themselves, and see *exactly* which files they try to open (including
> whitespace and special characters)?  This may be the line ending issue all
> over again...  Or, it could be a shell quoting issue (if mutt passes
> backslashes through a shell without properly escaping them)

It's the scripts themselves that aren't being found, for some reason.
That's what's so puzzling abou this.  I can run these scripts on
individual messages, but not on a set of tagged messages.  I'm not
sure what mutt is doing differently in these two cases.

Actually, this one works ok on one of my XP systems, but not the
other, so it probably has something to do with permissions, logging
into a domain, etc.  Issue #1, however, is on both systems.

Thanks very much, Igor.

-pd

-- 
--------
                             Peter Davis
               Funny stuff at http://www.pfdstudio.com
                 The artwork formerly shown as prints
    List of resources for children's writers and illustrators at:
                  http://www.pfdstudio.com/cwrl.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/